/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.exchange.items.calendar.model;


import java.util.logging.Logger;
import java.util.logging.Level;

import java.util.Date;

import sync4j.framework.logging.Sync4jLogger;

/**
 *
 * @version $Id: Calendar.java,v 1.17 2006/02/13 13:39:36 fabius Exp $
 **/

public class Calendar
extends sync4j.foundation.pdi.event.Event {

    //--------------------------------------------------------------- Constants


    //------------------------------------------------------------ Private data

    private String     id                  = null  ;

    private String     href                = null  ;

    private Date       lastUpdate          = null  ;
    private char       modificationStatus  = ' '   ;

    Logger  log = Sync4jLogger.getLogger("source");


    //------------------------------------------------------------ Constructors

    /**
     * Creates a Calendar
     *
     */
    public Calendar () {

    }

    /**
     * Creates a Calendar
     *
     *
     * @param id client item id
     *
     */
    public Calendar (String id) {

        this.id = id ;

    }

    /**
     * Creates a Calendar
     *
     *
     * @param id client item id
     * @param t client item timestamp
     *
     */
    public Calendar (String id, Date t) {

        this.id           = id ;
        this.lastUpdate   = t  ;

    }

    /**
     * Creates a Calendar
     *
     *
     * @param id
     * @param status
     *
     */
    public Calendar (String id, char status) {

        this.id                   = id                 ;
        this.modificationStatus   = modificationStatus ;

    }

    /**
     * Creates a Calendar
     *
     *
     * @param id
     * @param href
     * @param status
     * @param lastUpdate
     *
     */
    public Calendar (String     id        ,
                     String     href      ,
                     char       status    ,
                     Date       lastUpdate) {

        this.id                        = id          ;
        this.href                      = href        ;
        this.modificationStatus        = status      ;
        this.lastUpdate                = lastUpdate  ;

    }


    //---------------------------------------------------------- Public methods

    public String getId                ()  {
        return id;
    }

    public Date getLastUpdate          ()  {
        return lastUpdate;
    }


    public char getModificationStatus  ()  {
        return modificationStatus;
    }

    public String getHref              ()  {
        return href;
    }

    public void setId(String id)                    {
        this.id = id;
    }

    public void setLastUpdate(Date lastUpdate)      {
        this.lastUpdate = lastUpdate;
    }

    public void setModificationStatus(char status)  {
        this.modificationStatus = status;
    }

    public void setHref(String href)                {
        this.href = href;
    }

}
